From 10e76f9e16ce213dd4a769c13f1b85acc9557a8d Mon Sep 17 00:00:00 2001
From: Robert Edmonds <edmonds@debian.org>
Date: Sun, 31 Jan 2021 01:31:03 -0500
Subject: [PATCH] setup.py: Use packaged Javascript libraries

---
 setup.py | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

diff --git a/setup.py b/setup.py
index e4ce7e8..7bd0b3e 100644
--- a/setup.py
+++ b/setup.py
@@ -20,10 +20,22 @@ else:
     from setuptools.command.install import install
     from setuptools.command.build_py import build_py
 
-JQUERY_UI_PATH = "'http://code.jquery.com/ui/1.11.4/jquery-ui.min.js'"
-JQUERY_UI_CSS_PATH = "'http://code.jquery.com/ui/1.11.4/themes/redmond/jquery-ui.css'"
-JQUERY_PATH = "'http://code.jquery.com/jquery-1.11.3.min.js'"
-RAPHAEL_PATH = "'http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.4/raphael-min.js'"
+# Requires libjs-jquery-ui
+JQUERY_UI_PATH = \
+    "'file:///usr/share/javascript/jquery-ui/jquery-ui.min.js'"
+
+# Requires libjs-jquery-ui-theme-redmond
+JQUERY_UI_CSS_PATH = \
+    "'file:///usr/share/javascript/jquery-ui-themes/redmond/jquery-ui.css'"
+
+# Requires libjs-jquery
+JQUERY_PATH = \
+    "'file:///usr/share/javascript/jquery/jquery.min.js'"
+
+# Requires libjs-raphael
+RAPHAEL_PATH = \
+    "'file:///usr/share/javascript/raphael/raphael.min.js'"
+
 RESOLV_CONF = "'/etc/resolv.conf'"
 
 def apply_substitutions(filename, install_prefix):
-- 
2.30.0

